'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = _interopDefault(require('react'));

var Text = function Text(_ref) {
  var children = _ref.children,
      _ref$as = _ref.as,
      as = _ref$as === void 0 ? "p" : _ref$as,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 14 : _ref$size,
      lineHeight = _ref.lineHeight,
      weight = _ref.weight,
      transform = _ref.transform,
      align = _ref.align,
      color = _ref.color,
      className = _ref.className,
      style = _ref.style;
  var classes = [];
  className && classes.push(className);

  switch (size) {
    case 10:
      classes.push("text-10");
      break;

    case 12:
      classes.push("text-12");
      break;

    case 14:
      classes.push("text-14");
      break;

    case 16:
      classes.push("text-16");
      break;

    case 20:
      classes.push("text-20");
      break;

    case 24:
      classes.push("text-24");
      break;

    case 32:
      classes.push("text-32");
      break;

    case 40:
      classes.push("text-40");
      break;

    case 10:
      classes.push("text-48");
  }

  switch (lineHeight) {
    case 12:
      classes.push("leading-12");
      break;

    case 16:
      classes.push("leading-16");
      break;

    case 20:
      classes.push("leading-20");
      break;

    case 24:
      classes.push("leading-24");
      break;

    case 32:
      classes.push("leading-32");
      break;

    case 40:
      classes.push("leading-40");
      break;

    case 48:
      classes.push("leading-48");
      break;

    case 56:
      classes.push("leading-56");
  }

  switch (weight) {
    case 100:
      classes.push("font-thin");
      break;

    case 200:
      classes.push("font-extralight");
      break;

    case 300:
      classes.push("font-light");
      break;

    case 400:
      classes.push("font-normal");
      break;

    case 500:
      classes.push("font-medium");
      break;

    case 600:
      classes.push("font-semibold");
      break;

    case 700:
      classes.push("font-bold");
      break;

    case 800:
      classes.push("font-extrabold");
      break;

    case 900:
      classes.push("font-black");
  }

  switch (transform) {
    case "capitalize":
      classes.push("capitalize");
      break;

    case "uppercase":
      classes.push("uppercase");
      break;

    case "lowercase":
      classes.push("lowercase");
  }

  switch (align) {
    case "left":
      classes.push("text-left");
      break;

    case "center":
      classes.push("text-center");
      break;

    case "right":
      classes.push("text-right");
  }

  switch (color) {
    case "black":
      classes.push("text-black");
      break;

    case "gray-50":
      classes.push("text-gray-50");
      break;

    case "gray-100":
      classes.push("text-gray-100");
      break;

    case "gray-200":
      classes.push("text-gray-200");
      break;

    case "gray-300":
      classes.push("text-gray-300");
      break;

    case "gray-400":
      classes.push("text-gray-400");
      break;

    case "gray-500":
      classes.push("text-gray-500");
      break;

    case "gray-600":
      classes.push("text-gray-600");
      break;

    case "gray-700":
      classes.push("text-gray-700");
      break;

    case "gray-800":
      classes.push("text-gray-800");
      break;

    case "gray-900":
      classes.push("text-gray-900");
      break;
  }

  return React.createElement(as, {
    className: classes.join(" "),
    style: style
  }, children);
};

var tailwindTheme = {
  fontSize: {
    10: "0.625rem",
    12: "0.75rem",
    14: "0.875rem",
    16: "1rem",
    20: "1.25rem",
    24: "1.5rem",
    32: "2rem",
    40: "2.5rem",
    48: "3rem"
  },
  lineHeight: {
    12: "0.75rem",
    16: "1rem",
    20: "1.25rem",
    24: "1.5rem",
    32: "2rem",
    40: "2.5rem",
    48: "3rem",
    56: "3.5rem"
  },
  colors: {
    transparent: "transparent",
    current: "currentColor",
    black: "#000",
    gray: {
      50: "#fafafa",
      100: "#f5f5f5",
      200: "#e5e5e5",
      300: "#d4d4d4",
      400: "#a3a3a3",
      500: "#737373",
      600: "#525252",
      700: "#404040",
      800: "#262626",
      900: "#171717"
    }
  },
  plugins: [/*#__PURE__*/require("@tailwindcss/line-clamp")]
};

exports.Text = Text;
exports.tailwindTheme = tailwindTheme;
//# sourceMappingURL=penthouse-design.cjs.development.js.map
